﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3054C: (1 year) VER VISA /9500+4Hd
DATE:                  2010-06-03 12:47:31
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       278
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3054C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Remote Interface Connection
#        Sub Tek TDS3000C Remote Interface Connection
#        Sub Tek TDS3000C Sig Path Comp Cal VISA
#        Sub Tek TDS3000C Self-Test VISA
#        Sub Tek TDS3000C Channel Select VISA
#        Sub Tek TDS3000C (1 yr) DCV VISA /9500
#        Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600
#        Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600
#        Sub Tek TDS3000C (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS3000C Trigger Chk and Level Adj VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        TDS3GV GPIB/RS-232/VGA Communication Module
#        50 Ohm feed through teminator, one to four sets
#               (if one to four sets 9560 is configured)
#        Adapter SMA(f)-BNC(m), one to four sets
#               (if one to four sets 9560 is configured)
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.20x"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Verification Method (No NTHROW)

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  TARGET
  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         20 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  MATH         @VisaLAN = 1
  1.024  CALL         Sub Tek TDS3000C Remote Interface Connection
  1.025  JMPL         END                              @Abort

  1.026  VISA         *RST

  1.027  HEAD         UUT IDENTIFICATION
  1.028  CALL         Sub IEEE-488.2 Identification Query VISA

  1.029  MATH         @UUT_Manufacturer = "Tektronix"
  1.030  MATH         @UUT_Model        = "TDS 3054C"
  1.031  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.032  JMPL         END                           @Abort

  1.033  CALL         Sub Tek TDS3000C Check Firmware Version
  1.034  JMPL         END                           @Abort

  1.035  CALL         Sub Datron 9500 Configuration Query IEEE

  1.036  HEAD         EQUIPMENT REQUIREMENTS
  1.037  OPBR         -z Do you want to REVIEW the list of additional
  1.037  OPBR         equipment and/or accessories required?

  1.038  IF           MEM1
  1.039  MATH         Con = @HeadTypeCh1 == "9560" || @HeadTypeCh2 == "9560"
  1.040  MATH         Con = Con || @HeadTypeCh3 == "9560"
  1.041  MATH         Con = Con || @HeadTypeCh4 == "9560"

  1.042  IF           NOT(Con)
  1.043  DISP         - TDS3GV GPIB/RS-232/VGA Communication Module

  1.044  ELSE
  1.045  DISP         - TDS3GV GPIB/RS-232/VGA Communication Module
  1.045  DISP         - 50 Ohm feed through teminator, one to four sets
  1.045  DISP         [32]        (if one to four sets 9560 is configured)
  1.045  DISP         - Adapter SMA(f)-BNC(m), one to four sets
  1.045  DISP         [32]        (if one to four sets 9560 is configured)
  1.046  ENDIF

  1.047  ENDIF

  1.048  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.049  CALL         Sub Tek TDS3000C Sig Path Comp Cal VISA
  1.050  JMPL         END                           @Abort

  1.051  CALL         Sub Tek TDS3000C Self-Test VISA
  1.052  JMPL         END                           @Abort

  1.053  IF           @HeadTypeCh1 == "9560"
  1.054  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.055  ELSE
  1.056  MATH         Ch1Adapter = ""
  1.057  ENDIF

  1.058  IF           @HeadTypeCh2 == "9560"
  1.059  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.060  ELSE
  1.061  MATH         Ch2Adapter = ""
  1.062  ENDIF

  1.063  IF           @HeadTypeCh3 == "9560"
  1.064  MATH         Ch3Adapter = " via SMA(f)-BNC(m) adapter"
  1.065  ELSE
  1.066  MATH         Ch3Adapter = ""
  1.067  ENDIF

  1.068  IF           @HeadTypeCh4 == "9560"
  1.069  MATH         Ch4Adapter = " via SMA(f)-BNC(m) adapter"
  1.070  ELSE
  1.071  MATH         Ch4Adapter = ""
  1.072  ENDIF

  1.073  DISP         Connect the 9500 to the UUT as follows:
  1.073  DISP
  1.073  DISP         [32] CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.073  DISP         [32] CH 2 Active Head to UUT CH 2[V Ch2Adapter].
  1.073  DISP         [32] CH 3 Active Head to UUT CH 3[V Ch3Adapter].
  1.073  DISP         [32] CH 4 Active Head to UUT CH 4[V Ch4Adapter].

  1.074  MATH         @Chan = 1
  1.075  M9500                       CH1
  1.076  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /9500

  1.077  MATH         @Chan = 2
  1.078  M9500                       CH2
  1.079  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /9500

  1.080  MATH         @Chan = 3
  1.081  M9500                       CH3
  1.082  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /9500

  1.083  MATH         @Chan = 4
  1.084  M9500                       CH4
  1.085  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /9500

  1.086  MATH         @Chan = 1
  1.087  M9500                       CH1
  1.088  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600

  1.089  MATH         @Chan = 2
  1.090  M9500                       CH2
  1.091  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600

  1.092  MATH         @Chan = 3
  1.093  M9500                       CH3
  1.094  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600

  1.095  MATH         @Chan = 4
  1.096  M9500                       CH4
  1.097  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600

  1.098  MATH         @Chan = 1
  1.099  M9500                       CH1
  1.100  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600

  1.101  MATH         @Chan = 2
  1.102  M9500                       CH2
  1.103  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600

  1.104  MATH         @Chan = 3
  1.105  M9500                       CH3
  1.106  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600

  1.107  MATH         @Chan = 4
  1.108  M9500                       CH4
  1.109  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600

  1.110  MATH         @Chan = 1
  1.111  M9500                       CH1
  1.112  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600

  1.113  MATH         @Chan = 2
  1.114  M9500                       CH2
  1.115  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600

  1.116  MATH         @Chan = 3
  1.117  M9500                       CH3
  1.118  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600

  1.119  MATH         @Chan = 4
  1.120  M9500                       CH4
  1.121  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600

  1.122  MATH         @Chan = 1
  1.123  M9500                       CH1
  1.124  CALL         Sub Tek TDS3000C (1 yr) Sample Rate VISA /9500

  1.125  LABEL        END
  1.126  HEAD         -2

  1.127  IF           @Abort
  1.128  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.129  ELSE
  1.130  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.131  ENDIF

  1.132  END
